## org.exist.ant
Class XMLDBMoveTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.XMLDBMoveTask

public class XMLDBMoveTask
extends AbstractXMLDBTask

an ant task to move a collection or resource to a new name

Author:
  peter.klotz@blue-elephant-systems.com

Constructor Summary
`XMLDBMoveTask()`

Method Summary
`void` `execute()`
`void` `setCollection(java.lang.String collection)`
`void` `setDestination(java.lang.String destination)`
`void` `setName(java.lang.String name)`
`void` `setResource(java.lang.String resource)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDBMoveTask

    public XMLDBMoveTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setCollection

    public void setCollection(java.lang.String collection)

  Parameters:
    `collection` -

### setResource

    public void setResource(java.lang.String resource)

  Parameters:
    `resource` -

### setDestination

    public void setDestination(java.lang.String destination)

### setName

    public void setName(java.lang.String name)

Copyright (C) Wolfgang Meier. All rights reserved.